package it.mokabyte.pattern.client;

import it.mokabyte.pattern.delegate.MyBusinessDelegate;
import it.mokabyte.pattern.exception.BusinessDelegateException;
import it.mokabyte.pattern.valueobject.ProductOM;

import it.mokabyte.pattern.util.JndiNames;

/**
 * <p>Title: BusinessDelegateTestClient </p>
 * <p>Description: simple client that <b>use</b> business delegate pattern</p>
 * Test will be OK if the first two products can be bought but the third one not !</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
public class BusinessDelegateTestClient {

    /** main */
    public static void main(String[] args) {
        System.out.println("starting BusinessDelegateTestClient ...");
        if(args.length == 1) {
          new BusinessDelegateTestClient().test(args[0]);
        }
        else {
          System.out.println("usage : BusinessDelegateTestClient <USER_ID>");
        }
    }

    /**
     * <li> use MyBusinessDelegate to use the "hidden" Facade
     * <li> invoke business methods
     * @param userid
     */
    public void test(String userid) {
      try {

        MyBusinessDelegate proxy = new MyBusinessDelegate("123");
        System.out.println("Amount : " + proxy.getAmount());

      } catch(BusinessDelegateException bde) {
            System.out.println(" # ServiceLocationException : " + bde.getMessage());
            bde.printStackTrace();
      }
      catch(Exception e) {
            System.out.println(" # Exception  : " + e.getMessage());
            e.printStackTrace();
      }
    }
}