package it.mokabyte.pattern.client;

import javax.naming.*;
import javax.rmi.PortableRemoteObject;

import it.mokabyte.pattern.ejb.entity.AccountHome;

import it.mokabyte.pattern.util.JndiNames;

/**
 * <p>Title:NoServiceLocatorTestClient </p>
 * <p>Description: simple client that <b>NOT</b> use Service Locator pattern </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
public class NoServiceLocatorTestClient {

    /** main */
    public static void main(String[] args) {
        System.out.println("starting NoServiceLocatorTestClient ...");
        new NoServiceLocatorTestClient().test();
    }

    /** Test lookup + narrow Entity EJB Account */
    public void test() {
      try {
          Context ctx = null;
          ctx =  new InitialContext();
          System.out.println("Lookup for ["+JndiNames.ACCOUNT+"]...");
          //look up jndi name
          Object obj = ctx.lookup(JndiNames.ACCOUNT);
          System.out.println("Lookup done : obj class["+obj.getClass().getName()+"] ...");
          System.out.println("Lookup done : obj ["+obj+"] ...");
          //cast to Home interface
          AccountHome accountHome = (AccountHome)PortableRemoteObject.narrow(obj, AccountHome.class);
          System.out.println("Narrow done ...accountHome["+accountHome+"]...");

         } catch(ClassCastException cce) {
            System.out.println(" # ClassCastExceptionException : " + cce.getMessage());
            cce.printStackTrace();
         } catch(NamingException ne) {
            System.out.println(" # NamingException : " + ne.getMessage());
            ne.printStackTrace();
         }
         catch(Exception e) {
            System.out.println(" # Exception  : " + e.getMessage());
            e.printStackTrace();
         }
    }
}