package it.mokabyte.pattern.dao;

/**
 * <p>Title: DaoConfig</p>
 * <p>Description: Dao configurator class.Used by it.mokabyte.pattern.dao classes</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
public class DaoConfig {

   /** Deployment descriptor environment entry name - used by : DAO factory class */
   public static final String DAO_CLASS_NAME = "java:comp/env/DAO_CLASS_NAME";

   /** Dao type - used by : DAO factory class */
   public static final int XML_TYPE = 1;
   public static final int JDBC_TYPE = 2;

   /** DBMS data source - used by : JDBC Dao Impl */
   public static final String DS_JNDI_NAME = "java:comp/env/jdbc/MokaDataBase";

   /** The table name - used by : JDBC Dao Impl */
   public static final String TABLE_NAME = "MOKA_ACCOUNT";

   /** XML file name - used by : XML Dao Impl */
   public static final String XML_FILE_NAME =  "/temp_moka/xml/repository.xml";

}