package it.mokabyte.pattern.ejb.session.stateful;

import java.rmi.*;
import javax.ejb.*;

import it.mokabyte.pattern.valueobject.ProductOM;
import it.mokabyte.pattern.exception.ECommerceException;

/**
 * <p>Title: Shopper</p>
 * <p>Description: the remote interface of the Shopper</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S.
 * @version 1.0 :
 */
public interface Shopper extends EJBObject {

  /** Remove the item from the basket */
  public void   removeItem(ProductOM p) throws ECommerceException,RemoteException;

  /** Add item to the basket */
  public void   addItem(ProductOM p)  throws RemoteException;

  /** Get the amount to pay */
  public double getAmount() throws RemoteException;

  /** Get the bAsket size */
  public int    getBasketSize() throws RemoteException;

}