package it.mokabyte.pattern.ejb.session.stateless;

import java.rmi.*;
import javax.ejb.*;

import it.mokabyte.pattern.pk.AccountPK;
import it.mokabyte.pattern.exception.CopyException;
import it.mokabyte.pattern.valueobject.AccountOM;

/**
 * <p>Title: Copy</p>
 * <p>Description: Remote interface</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S.
 * @version 1.0
 */
 public interface Copy extends EJBObject {

    /** read from a Dao, and update to the other one */
    public void copyAccount(AccountPK key) throws RemoteException,CopyException;

    /** verify account form XML */
    public AccountOM readAccountXML(AccountPK key) throws RemoteException,CopyException;

    /** verify account form JDBC */
    public AccountOM readAccountJDBC(AccountPK key) throws RemoteException,CopyException;

}